#
# spec file for package xpp (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake cups cups-client cups-devel cups-libs fltk fltk-devel gpp libgpp mesa mesa-devel mesasoft openssl openssl-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cups cups-client cups-devel cups-libs cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex fltk fltk-devel gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         xpp
Copyright:    GNU GPL
Group:        Utilities/Printing
Summary:      CUPS frontend
URL:	http://cups.sourceforge.net/xpp/
Version:      1.0
Release:      43
Source0:      xpp-%{version}.tar.bz2
BuildRoot:	/var/tmp/%{name}

%description
Front-End for the CUPS printer daemon. You can change the printer, paper and
other options.

Authors:
--------
    Till Kamppeter <till.kamppeter@gmx.net>

SuSE series: xap

%prep
%setup -n xpp-%{version}

%build
%{?suse_update_config:%{suse_update_config -f . }}
export CXXFLAGS=-L/usr/X11R6/lib/\ -lfltk\ -lGL
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 "
./configure \
	--prefix=/usr \
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc LICENSE ChangeLog README 
/usr/bin/xpp

%changelog -n xpp
* Sun Sep 02 2001 - bjacke@suse.de
- update to 1.0, fix License tag, use buildroot
* Fri Aug 31 2001 - bjacke@suse.de
- add cups-client to neededforbuild
* Mon Aug 27 2001 - ro@suse.de
- added <fltk-devel> to neededforbuild
* Mon Aug 20 2001 - ro@suse.de
- changed neededforbuild <cups> to <cups cups-libs>
* Mon Aug 13 2001 - ro@suse.de
- added openssl to neededforbuild
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Tue Mar 13 2001 - ro@suse.de
- fixed neededforbuild (typo)
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Thu Nov 30 2000 - ro@suse.de
- fixed neededforbuild
* Fri Nov 10 2000 - adrian@suse.de
- Spec file created from xpp-0.7.tar.bz2 by autospec
